package textures.player.items.crudeaxe;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudeAxeIdleTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.crudeAxeSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.crudeAxeSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.crudeAxeSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.crudeAxeSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);

		/*** NORTH IDLE ***/
		Textures.crudeAxeSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.crudeAxeSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.crudeAxeSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.crudeAxeSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);

		/*** WEST IDLE ***/
		Textures.crudeAxeSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.crudeAxeSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.crudeAxeSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.crudeAxeSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);

		/*** EAST IDLE ***/
		Textures.crudeAxeSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.crudeAxeSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.crudeAxeSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.crudeAxeSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);

		/*** NORTHWEST IDLE ***/
		Textures.crudeAxeSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.crudeAxeSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.crudeAxeSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.crudeAxeSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);

		/*** NORTHEAST IDLE ***/
		Textures.crudeAxeSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.crudeAxeSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.crudeAxeSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.crudeAxeSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);

		/*** SOUTHWEST IDLE ***/
		Textures.crudeAxeSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.crudeAxeSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.crudeAxeSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.crudeAxeSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);

		/*** SOUTHEAST IDLE ***/
		Textures.crudeAxeSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.crudeAxeSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.crudeAxeSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.crudeAxeSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
